Bug 446476 - preupgrade / anaconda fail if we need to update packages that are in Everything
preupgrade / anaconda fail if we need to update packages that are in Everything
Product: Fedora
Classification: Fedora
Component: preupgrade (Show other bugs)
All Linux
medium Severity high
: ---
: ---
Assigned To: Seth Vidal
Fedora Extras Quality Assurance
Depends On:
  Show dependency treegraph
Reported: 2008-05-14 14:54 EDT by Patrick C. F. Ernzer
Modified: 2008-12-01 10:45 EST (History)
1 user (show)

See Also:
Fixed In Version: preupgrade-1.0.0-1
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2008-12-01 10:45:15 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Patrick C. F. Ernzer 2008-05-14 14:54:00 EDT
Description of problem:
preupgrade /  anaconda fail if we need to update packages that are in Everything

Version-Release number of selected component (if applicable):

How reproducible:
did not try but expect this to be always reproducible

Steps to Reproduce:
1. run preupgrade under F8 to go to F9
2. reboot when prompted
3. F9 anaconda runs
Actual results:
in my case it choked on unison227, which we have in Everything but not in Fedora

Expected results:
system upgrades cleanly

Additional info:
setting Sev to high as one of our much publicised features does not work even if
the package is still in updates-testing of F8
Comment 1 Will Woods 2008-05-14 15:11:35 EDT
The problem here is that we have two repos - instrepo (Fedora, which has
kernel/initrd/stage2) and distrepo (Everything, but no kernel images).

Currently we set method=instrepo as a fallback for the case where we're missing
packages / images. Lacking stage2 is very common - it happens on any system
where /boot is less than 200MB - so this made sense.

Instead we should probably do method=distrepo, and have
stage2=instrepo+stage2path in the case where we're missing stage2.
Comment 2 Will Woods 2008-05-14 15:12:29 EDT
Well. The *real* fix would be to get F8 yum and F9 yum (in anaconda) to agree on
which packages you need on multilib systems. But that's a much, much harder problem.
Comment 3 Will Woods 2008-05-14 18:24:47 EDT
Current bzr now uses distrepo for method=URL. 
Comment 4 Bug Zapper 2008-11-25 21:16:06 EST
This bug appears to have been reported against 'rawhide' during the Fedora 10 development cycle.
Changing version to '10'.

More information and reason for this action is here:
Comment 5 Will Woods 2008-12-01 10:45:15 EST
The "real" fix has been implemented for F10 - preupgrade and anaconda share anaconda-yum-plugins, which decides which packages are needed.

Note You need to log in before you can comment on or make changes to this bug.